guacamole-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christian Bayerlein <c.bayerl...@gmail.com>
Subject Re: guacd Unable to load client module
Date Tue, 22 Nov 2016 18:28:30 GMT
Hi,

as far as I can see, the libraries have been compiled correctly and
where added to /usr/local/lib :

root@rasp1:/usr/local/lib# ls -l libguac*vnc*
-rw-r--r-- 1 root staff 598112 Nov 22 15:00 libguac-client-vnc.a
-rwxr-xr-x 1 root staff   1113 Nov 22 15:00 libguac-client-vnc.la
lrwxrwxrwx 1 root staff     27 Nov 22 15:00 libguac-client-vnc.so ->
libguac-client-vnc.so.0.0.0
lrwxrwxrwx 1 root staff     27 Nov 22 15:00 libguac-client-vnc.so.0 ->
libguac-client-vnc.so.0.0.0
-rwxr-xr-x 1 root staff 355852 Nov 22 15:00 libguac-client-vnc.so.0.0.0

I ran ldconfig several times after make install and in one of the
ld.so.conf.d/*.conf files has /usr/local/lib as a line, so it should
be searched.

Any other idea?

Thanks,
Chris

2016-11-22 18:37 GMT+01:00 Mike Jumper <mike.jumper@guac-dev.org>:
> On Nov 22, 2016 6:16 AM, "Christian Bayerlein" <c.bayerlein@gmail.com>
> wrote:
>>
>> Hi,
>>
>> I just installed guacamole 0.9.9 on my raspberry pi. Everything
>> compiled and installed without problems and seems to start up
>> normally. However, when I log in via the browser, the app doesn't
>> connect to the guacd proxy.
>>
>> The following error shows up in syslog:
>>
>> Nov 22 15:03:13 rasp1 guacd[16331]: Creating new client for protocol "vnc"
>> Nov 22 15:03:13 rasp1 guacd[16331]: Connection ID is
>> "$b5b30be2-be99-4b86-9673-50c3fcf78c11"
>> Nov 22 15:03:14 rasp1 guacd[16428]: Unable to load client plugin
>> Nov 22 15:03:14 rasp1 guacd[16331]: Connection
>> "$b5b30be2-be99-4b86-9673-50c3fcf78c11" removed.
>>
>> What does Unable to load client plugin mean?
>>
>
> Guacamole implements support for various protocols, in this case VNC,
> through plugins loaded by guacd. These plugins are actually libraries
> conforming to a specific API and naming convention.
>
> To load support for VNC, guacd must be able to load "libguac-client-vnc".
> Assuming the necessary dependencies were present when guacamole-server was
> built (the output of the configure script would have listed this), the
> necessary file would likely be located at
> "/usr/local/lib/libguac-client-vnc.so".
>
> Can you confirm whether the above file is present?
>
> If not, you will need to install the dependencies of the VNC support, and
> rebuild:
>
> http://guacamole.incubator.apache.org/doc/gug/installing-guacamole.html#optional-dependencies
>
> If it IS present, did you remember to run ldconfig (as root) after "make
> install" finished?
>
> If so, it may simply be that the raspberry pi is not configured to look at
> that location for libraries. Fixing that is usually just a matter of editing
> "/etc/ld.so.conf" (or adding a new file to "/etc/ld.so.conf.d/") and
> rerunning ldconfig.
>
> Thanks,
>
> - Mike



-- 


Christian Bayerlein
bayerlein.me

Mime
View raw message